<template>
  <section id="pricing">
    <div class="heading">
      <h1><b>PRICING</b></h1>
      <p class="text-center">
        Magnam dolores commodi suscipit. Necessitatibus eius consequatur ex
        aliquid fuga eum quidem. Sit sint consectetur velit. Quisquam quos
        quisquam cupiditate. Et nemo qui impedit suscipit alias ea. Quia fugiat
        sit in iste officiis commodi quidem hic quas.
      </p>
    </div>
    <el-container>
      <el-row gutter="20" class="pricing-data">
        <el-col :lg="8" :xs="24" :md="8">
          <el-card class="card shadow">
            <div class="card-body">
              <h4 class="card-title">Free Plan</h4>
              <h1><sup>$</sup>0</h1>
              <p class="text-info"><b>per month</b></p>
              <p class="card-text">
                <img
                  class="image-fluid"
                  alt="Check-mark"
                  src="@/assets/images/icons8-done-24.png"
                />Quam adipiscing vitae proin
              </p>
              <p>
                <img
                  class="image-fluid"
                  alt="Check-mark"
                  src="@/assets/images/icons8-done-24.png"
                />Nec feugiat nisl pretium
              </p>
              <p>
                <img
                  class="image-fluid"
                  alt="Check-mark"
                  src="@/assets/images/icons8-done-24.png"
                />Nulla at volutpat diam uteera
              </p>
              <p>
                <img
                  class="image-fluid"
                  alt="Check-mark"
                  src="@/assets/images/icons8-close-24.png"
                /><s>Pharetra massa massa ultricies</s>
              </p>
              <p class="last-line">
                <img
                  class="image-fluid"
                  alt="Check-mark"
                  src="@/assets/images/icons8-close-24.png"
                /><s>Massa ultricies mi quis hendrerit</s>
              </p>
              <button type="button" class="btn btn-outline-primary">
                Get Started
              </button>
            </div>
          </el-card>
        </el-col>
        <el-col :lg="8" :xs="24" :md="8">
          <div class="middle-card">
            <el-card class="card shadow">
              <div class="card-body">
                <h4 class="card-title">Business Plan</h4>
                <h1><sup>$</sup>29</h1>
                <p class="text-info"><b>per month</b></p>
                <p class="card-text">
                  <img
                    class="image-fluid me-2"
                    alt="Check-mark"
                    src="@/assets/images/icons8-done-24.png"
                  />Quam adipiscing vitae proin
                </p>
                <p>
                  <img
                    class="image-fluid"
                    alt="Check-mark"
                    src="@/assets/images/icons8-done-24.png"
                  />Nec feugiat nisl pretium
                </p>
                <p>
                  <img
                    class="image-fluid"
                    alt="Check-mark"
                    src="@/assets/images/icons8-done-24.png"
                  />Nulla at volutpat diam uteera
                </p>
                <p>
                  <img
                    class="image-fluid"
                    alt="Check-mark"
                    src="@/assets/images/icons8-done-24.png"
                  />Pharetra massa massa ultricies
                </p>
                <p class="last-line">
                  <img
                    class="image-fluid"
                    alt="Check-mark"
                    src="@/assets/images/icons8-done-24.png"
                  />Massa ultricies mi quis hendrerit
                </p>
                <button type="button" class="section-10-btn-middle">
                  Get Started
                </button>
              </div>
            </el-card>
          </div>
        </el-col>
        <el-col :lg="8" :xs="24" :md="8">
          <el-card class="card shadow">
            <div class="card-body">
              <h4 class="card-title">Developer Plan</h4>
              <h1><sup>$</sup>49</h1>
              <p class="text-info"><b>per month</b></p>
              <p>
                <img
                  class="image-fluid"
                  alt="Check-mark"
                  src="@/assets/images/icons8-done-24.png"
                />Quam adipiscing vitae proin
              </p>
              <p>
                <img
                  class="image-fluid"
                  alt="Check-mark"
                  src="@/assets/images/icons8-done-24.png"
                />Nec feugiat nisl pretium
              </p>
              <p>
                <img
                  class="image-fluid"
                  alt="Check-mark"
                  src="@/assets/images/icons8-done-24.png"
                />Nulla at volutpat diam uteera
              </p>
              <p>
                <img
                  class="image-fluid"
                  alt="Check-mark"
                  src="@/assets/images/icons8-done-24.png"
                />Pharetra massa massa ultricies
              </p>
              <p class="last-line">
                <img
                  class="image-fluid"
                  alt="Check-mark"
                  src="@/assets/images/icons8-done-24.png"
                />Massa ultricies mi quis hendrerit
              </p>
              <button type="button" class="btn btn-outline-primary">
                Get Started
              </button>
            </div>
          </el-card>
        </el-col>
      </el-row>
    </el-container>
  </section>
</template>
<script>
export default {
  data() {
    return {};
  },
};
</script>
<style lang="scss">
#pricing {
  padding: 2% 5%;
  .heading {
    padding-bottom: 2rem;
    h1 {
      color: #37517e;
      text-align: center;
      font-size: 30px;
    }
  }
  .el-container {
    display: block;
  }
  .middle-card {
    border-top: 4px solid #47b2e4;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
  }
  .card {
    padding: 20px 0px;
    .card-body {
      text-align: left;
      margin-left: 20px;
    }
    h4 {
      color: #37517e;
      font-size: 20px;
      margin-bottom: 1rem;
    }
    h1 {
      color: #37517e;
      font-size: 50px;
      margin: 0;
    }
    img {
      margin-right: 10px;
    }
    p {
      color: #999;
    }
    .text-info {
      padding-bottom: 15px;
      color: #23a3df;
    }
    .section-10-btn-middle {
      border-radius: 25px;
      border: 2px solid #23a3df;
      color: #f3f5fa;
      font-size: 17px;
      background-color: #47b2e4;
      padding: 15px 40px;
      &:hover {
        background-color: #23a3df;
      }
    }
    .last-line {
      padding-bottom: 15px;
    }
    .btn {
      border-radius: 25px !important;
      color: #47b2e4;
      font-size: 17px;
      background-color: #fff;
      padding: 15px 40px;
      border: 2px solid #47b2e4;
      &:hover {
        background-color: #47b2e4;
        color: #f3f5fa;
      }
    }
  }
}

@media screen and (min-width: 320px) and (max-width: 767px) {
  #pricing {
    .pricing-data {
      .card {
        h4 {
          margin: 0;
        }
        h1 {
          margin: 0;
        }
        .text-info {
          margin: 0;
          padding-bottom: 50px;
        }
      }
    }
  }
}

@media screen and(min-width: 768px) and (max-width: 992px) {
  #pricing {
    .pricing-data {
      .middle-card {
        border: none;
      }
      .card {
        margin: 2% 15%;
        h4 {
          margin: 0;
        }
        h1 {
          margin: 0;
        }
        .text-info {
          margin: 0;
          padding-bottom: 50px;
        }
      }
    }
  }
}
</style>
